Class | RSS::Rss
In: | rss/trackback.rb rss/2.0.rb rss/0.9.rb
Parent: | Object

### Methods

image items new textinput to_s

### Included Modules

RSS09 RootElementMixin XMLStyleSheetMixin

### Classes and Modules

Class RSS::Rss::Channel

### Attributes

encoding | [RW] |
rss_version | [RW] |
standalone | [RW] |
version | [RW] |

### Public Class methods

new(rss_version, version=nil, encoding=nil, standalone=nil)

[Source]

    # File rss/0.9.rb, line 34
        def initialize(rss_version, version=nil, encoding=nil, standalone=nil)
          super
        end

### Public Instance methods

image()

[Source]

    # File rss/0.9.rb, line 46
        def image
          if @channel
            @channel.image
          else
            nil
          end
        end

items()

[Source]

    # File rss/0.9.rb, line 38
        def items
          if @channel
            @channel.items
          else
            []
          end
        end

textinput()

[Source]

    # File rss/0.9.rb, line 54
        def textinput
          if @channel
            @channel.textInput
          else
            nil
          end
        end

to_s(need_convert=true, indent=calc_indent)

[Source]

    # File rss/0.9.rb, line 62
        def to_s(need_convert=true, indent=calc_indent)
          rv = tag(indent, ns_declarations) do |next_indent|
            [
              channel_element(false, next_indent),
              other_element(false, next_indent),
            ]
          end
          rv = convert(rv) if need_convert
          rv
        end

[Validate]